package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.domain.MonDevBlHour;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 设备数据-玻璃-小时 保存设备的小时数据对象 mon_dev_bl_hour
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "设备数据-玻璃-小时 保存设备的小时数据")
@EqualsAndHashCode(callSuper = false)
@Data
public class MonDevBlHourQuery extends PageQuery
{

    @ApiModelProperty(value = "数据ID")
    private Long dataId;
    @ApiModelProperty(value = "企业ID 冗余")
    private String factoryId;
    @ApiModelProperty(value = "设备ID")
    private String deviceId;
    @ApiModelProperty(value = "时间类型 枚举。分钟/小时...")
    private String timeType;
    @ApiModelProperty(value = "数据时间 格式因时间类型而异")
    private String dataTime;
    @ApiModelProperty(value = "混合机温度 单位: ℃")
    private String bs100;
    @ApiModelProperty(value = "原熔皮带电流 单位: A")
    private String bs101;
    @ApiModelProperty(value = "投料机输出频率 单位: HZ")
    private String bs102;
    @ApiModelProperty(value = "助燃风量 单位: m3/h")
    private String bs103;
    @ApiModelProperty(value = "熔窑温度 单位: ℃")
    private String bs104;
    @ApiModelProperty(value = "煤气流量 单位: m3/h")
    private String bs105;
    @ApiModelProperty(value = "天然气流量 单位: m3/h")
    private String bs106;
    @ApiModelProperty(value = "退火窑辊道车速 单位: m/h")
    private String bs107;
    @ApiModelProperty(value = "布袋除尘器前后压差 单位: Pa")
    private String bz100;
    @ApiModelProperty(value = "电除尘器二次电流 单位: A")
    private String bz101;
    @ApiModelProperty(value = "电除尘器二次电压 单位: V")
    private String bz102;
    @ApiModelProperty(value = "脱硫洗涤塔pH值 单位: ")
    private String bz103;
    @ApiModelProperty(value = "脱硫供浆流量 单位: m3/h")
    private String bz104;
    @ApiModelProperty(value = "脱硫供料流量 单位: kg/h")
    private String bz105;
    @ApiModelProperty(value = "脱硫浆液循环泵运行状态 单位: 1=运行，0=停止")
    private String bz106;
    @ApiModelProperty(value = "脱硝反应区温度 单位: ℃")
    private String bz107;
    @ApiModelProperty(value = "脱硝还原剂用量 单位: m3/h")
    private String bz108;
    @ApiModelProperty(value = "脱硝供给泵电流 单位: A")
    private String bz109;
    @ApiModelProperty(value = "氨喷射系统电流 单位: A")
    private String bz110;
    @ApiModelProperty(value = "氨泵风机状态 单位: 1=运行，0=停止")
    private String bz111;
    @ApiModelProperty(value = "氨泵风机电流 单位: A")
    private String bz112;
    @ApiModelProperty(value = "脱硫_湿法脱硫剂使用量 单位: kg")
    private String g140;
    @ApiModelProperty(value = "脱硫_脱硫剂仓料（液）位 单位: m")
    private String g141;
    @ApiModelProperty(value = "脱硝_脱硝剂（还原剂或氧化剂）使用量 单位: kg")
    private String g313;
    @ApiModelProperty(value = "脱硝_脱硝剂仓料（液）位 单位: m")
    private String g314;
    @ApiModelProperty(value = "脱硝_反应器入口烟气温度（SCR 单位: ℃")
    private String g329;
    @ApiModelProperty(value = "静电除尘器_一次电压 单位: V")
    private String g501;
    @ApiModelProperty(value = "静电除尘器_一次电流 单位: A")
    private String g502;
    @ApiModelProperty(value = "袋式除尘器_风机电流 单位: A")
    private String g604;
    @ApiModelProperty(value = "袋式除尘器_清灰周期 单位: h")
    private String g605;
    @ApiModelProperty(value = "入料_原料配比后的总重量 单位: kg")
    private String g983;
    @ApiModelProperty(value = "锡槽成型、退火_主传动速度 单位: m/s")
    private String g984;
    @ApiModelProperty(value = "液氨/氨水储存区_氨气泄漏报警信号")
    private String g985;
    @ApiModelProperty(value = "在线监测数据或超标报警数据 单位: mg/m3")
    private String g986;
    @ApiModelProperty(value = "脱硫_干法脱硫剂使用量 单位: kg")
    private String gb08;
    @ApiModelProperty(value = "半干法脱硫_脱硫剂使用量 单位: kg")
    private String gb09;
    @ApiModelProperty(value = "附加参数 JSON。格式类似：{{pmIn:{02:12,03:23},...}")
    private String addiParam;
    @ApiModelProperty(value = "更新时间")
    private String updateTime;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<MonDevBlHour> createLambdaQueryWrapper(MonDevBlHourQuery query) {
        QueryWrapper<MonDevBlHour> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getDataId()), "data_id", query.getDataId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getDeviceId()), "device_id", query.getDeviceId());
        wrapper.eq(ObjectUtil.isNotNull(query.getTimeType()), "time_type", query.getTimeType());
        wrapper.eq(ObjectUtil.isNotNull(query.getDataTime()), "data_time", query.getDataTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getBs100()), "bs100", query.getBs100());
        wrapper.eq(ObjectUtil.isNotNull(query.getBs101()), "bs101", query.getBs101());
        wrapper.eq(ObjectUtil.isNotNull(query.getBs102()), "bs102", query.getBs102());
        wrapper.eq(ObjectUtil.isNotNull(query.getBs103()), "bs103", query.getBs103());
        wrapper.eq(ObjectUtil.isNotNull(query.getBs104()), "bs104", query.getBs104());
        wrapper.eq(ObjectUtil.isNotNull(query.getBs105()), "bs105", query.getBs105());
        wrapper.eq(ObjectUtil.isNotNull(query.getBs106()), "bs106", query.getBs106());
        wrapper.eq(ObjectUtil.isNotNull(query.getBs107()), "bs107", query.getBs107());
        wrapper.eq(ObjectUtil.isNotNull(query.getBz100()), "bz100", query.getBz100());
        wrapper.eq(ObjectUtil.isNotNull(query.getBz101()), "bz101", query.getBz101());
        wrapper.eq(ObjectUtil.isNotNull(query.getBz102()), "bz102", query.getBz102());
        wrapper.eq(ObjectUtil.isNotNull(query.getBz103()), "bz103", query.getBz103());
        wrapper.eq(ObjectUtil.isNotNull(query.getBz104()), "bz104", query.getBz104());
        wrapper.eq(ObjectUtil.isNotNull(query.getBz105()), "bz105", query.getBz105());
        wrapper.eq(ObjectUtil.isNotNull(query.getBz106()), "bz106", query.getBz106());
        wrapper.eq(ObjectUtil.isNotNull(query.getBz107()), "bz107", query.getBz107());
        wrapper.eq(ObjectUtil.isNotNull(query.getBz108()), "bz108", query.getBz108());
        wrapper.eq(ObjectUtil.isNotNull(query.getBz109()), "bz109", query.getBz109());
        wrapper.eq(ObjectUtil.isNotNull(query.getBz110()), "bz110", query.getBz110());
        wrapper.eq(ObjectUtil.isNotNull(query.getBz111()), "bz111", query.getBz111());
        wrapper.eq(ObjectUtil.isNotNull(query.getBz112()), "bz112", query.getBz112());
        wrapper.eq(ObjectUtil.isNotNull(query.getG140()), "g140", query.getG140());
        wrapper.eq(ObjectUtil.isNotNull(query.getG141()), "g141", query.getG141());
        wrapper.eq(ObjectUtil.isNotNull(query.getG313()), "g313", query.getG313());
        wrapper.eq(ObjectUtil.isNotNull(query.getG314()), "g314", query.getG314());
        wrapper.eq(ObjectUtil.isNotNull(query.getG329()), "g329", query.getG329());
        wrapper.eq(ObjectUtil.isNotNull(query.getG501()), "g501", query.getG501());
        wrapper.eq(ObjectUtil.isNotNull(query.getG502()), "g502", query.getG502());
        wrapper.eq(ObjectUtil.isNotNull(query.getG604()), "g604", query.getG604());
        wrapper.eq(ObjectUtil.isNotNull(query.getG605()), "g605", query.getG605());
        wrapper.eq(ObjectUtil.isNotNull(query.getG983()), "g983", query.getG983());
        wrapper.eq(ObjectUtil.isNotNull(query.getG984()), "g984", query.getG984());
        wrapper.eq(ObjectUtil.isNotNull(query.getG985()), "g985", query.getG985());
        wrapper.eq(ObjectUtil.isNotNull(query.getG986()), "g986", query.getG986());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb08()), "gb08", query.getGb08());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb09()), "gb09", query.getGb09());
        wrapper.eq(ObjectUtil.isNotNull(query.getAddiParam()), "addi_param", query.getAddiParam());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        return wrapper;
        }
}
